using UnityEngine; 
using System.Collections.Generic;

public interface IQuest
{
    string QuestName { get; } 
    string Description { get; } 
    int CurrentStep { get; } 
    int TotalSteps { get; } 
    bool IsCompleted { get; } 
    event System.Action<string> 
        OnQuestStepChanged;
    void StartQuest(); 
    void CompleteQuest(); 
    void AdvanceQuestStep();
}